/*
THIS INFRAGISTICS ULTIMATE SOFTWARE LICENSE  AGREEMENT ("AGREEMENT") LOCATED HERE:
https://www.infragistics.com/legal/license/igultimate-la
https://www.infragistics.com/legal/license/igultimate-eula
GOVERNS THE LICENSING, INSTALLATION AND USE OF INFRAGISTICS SOFTWARE. BY DOWNLOADING AND/OR INSTALLING AND USING INFRAGISTICS SOFTWARE:  you are indicating that you have read and understand this Agreement, and agree to be legally bound by it on behalf of the yourself and your company.
*/
import * as tslib_1 from "tslib";
import { Component, EventEmitter, Output, ViewChild, ChangeDetectionStrategy, TemplateRef, ChangeDetectorRef } from '@angular/core';
import { TypeRegistrar } from "igniteui-angular-core/ES5/type";
var IgxFinancialChartDefaultTemplatesComponent = /** @class */ (function () {
    function IgxFinancialChartDefaultTemplatesComponent(_changeDetectorRef) {
        this._changeDetectorRef = _changeDetectorRef;
        this.onContentReady = new EventEmitter();
    }
    IgxFinancialChartDefaultTemplatesComponent_1 = IgxFinancialChartDefaultTemplatesComponent;
    IgxFinancialChartDefaultTemplatesComponent.prototype.getSelection = function (ele) {
        var ret = [];
        for (var i = 0; i < ele.options.length; i++) {
            if (ele.options[i].selected) {
                ret.push(ele.options[i].value);
            }
        }
        return ret;
    };
    IgxFinancialChartDefaultTemplatesComponent.register = function () {
        TypeRegistrar.registerCons("IgxFinancialChartDefaultTemplatesComponent", IgxFinancialChartDefaultTemplatesComponent_1);
    };
    IgxFinancialChartDefaultTemplatesComponent.prototype.ngAfterContentInit = function () {
        this.onContentReady.emit({});
    };
    var IgxFinancialChartDefaultTemplatesComponent_1;
    tslib_1.__decorate([
        ViewChild("financialChartRangeSelectorTemplate"),
        tslib_1.__metadata("design:type", TemplateRef)
    ], IgxFinancialChartDefaultTemplatesComponent.prototype, "financialChartRangeSelectorTemplate", void 0);
    tslib_1.__decorate([
        ViewChild("financialChartTypePickerTemplate"),
        tslib_1.__metadata("design:type", TemplateRef)
    ], IgxFinancialChartDefaultTemplatesComponent.prototype, "financialChartTypePickerTemplate", void 0);
    tslib_1.__decorate([
        ViewChild("financialChartIndicatorMenuTemplate"),
        tslib_1.__metadata("design:type", TemplateRef)
    ], IgxFinancialChartDefaultTemplatesComponent.prototype, "financialChartIndicatorMenuTemplate", void 0);
    tslib_1.__decorate([
        ViewChild("financialChartToolbarTemplate"),
        tslib_1.__metadata("design:type", TemplateRef)
    ], IgxFinancialChartDefaultTemplatesComponent.prototype, "financialChartToolbarTemplate", void 0);
    tslib_1.__decorate([
        Output(),
        tslib_1.__metadata("design:type", EventEmitter)
    ], IgxFinancialChartDefaultTemplatesComponent.prototype, "onContentReady", void 0);
    IgxFinancialChartDefaultTemplatesComponent = IgxFinancialChartDefaultTemplatesComponent_1 = tslib_1.__decorate([
        Component({
            selector: 'igx-financial-chart-default-templates',
            changeDetection: ChangeDetectionStrategy.OnPush,
            template: "\n    <ng-template #financialChartRangeSelectorTemplate let-vm=\"vm\">\n        <div class='financialChartRangeSelector'>\n\t\t    <label class='financialChartRangeSelectorLabel rangeSelectorOneMonth' *ngIf=\"vm.oneMonthVisible\">\n\t\t    \t<input type='radio' value='1m' [checked]=\"vm.oneMonthChecked\" (change)=\"vm.changeSelection($event.target.value)\">\n\t\t    \t<span class='financialChartRangeSelectorLabelSpan'>1m</span>\n\t\t    </label>\n\t\t    <label class='financialChartRangeSelectorLabel rangeSelectorThreeMonths' *ngIf=\"vm.threeMonthsVisible\">\n\t\t    \t<input type='radio' value='3m' [checked]=\"vm.threeMonthsChecked\" (change)=\"vm.changeSelection($event.target.value)\">\n\t\t    \t<span class='financialChartRangeSelectorLabelSpan'>3m</span>\n\t\t    </label>\n\t\t    <label class='financialChartRangeSelectorLabel rangeSelectorSixMonths' *ngIf=\"vm.sixMonthsVisible\">\n\t\t    \t<input type='radio' value='6m' [checked]=\"vm.sixMonthsChecked\" (change)=\"vm.changeSelection($event.target.value)\">\n\t\t    \t<span class='financialChartRangeSelectorLabelSpan'>6m</span>\n\t\t    </label>\n\t\t    <label class='financialChartRangeSelectorLabel rangeSelectorYTD' *ngIf=\"vm.yearToDateVisible\">\n\t\t    \t<input type='radio' value='YTD' [checked]=\"vm.yearToDateChecked\" (change)=\"vm.changeSelection($event.target.value)\">\n\t\t    \t<span class='financialChartRangeSelectorLabelSpan'>YTD</span>\n\t\t    </label>\n\t\t    <label class='financialChartRangeSelectorLabel rangeSelectorOneYear' *ngIf=\"vm.oneYearVisible\">\n\t\t    \t<input type='radio' value='1y' [checked]=\"vm.oneYearChecked\" (change)=\"vm.changeSelection($event.target.value)\">\n\t\t    \t<span class='financialChartRangeSelectorLabelSpan'>1y</span>\n\t\t    </label>\n\t\t    <label class='financialChartRangeSelectorLabel rangeSelectorAll' *ngIf=\"vm.allVisible\">\n\t\t    \t<input type='radio' value='all' [checked]=\"vm.allChecked\" (change)=\"vm.changeSelection($event.target.value)\">\n\t\t    \t<span class='financialChartRangeSelectorLabelSpan'>all</span>\n\t\t    </label>\n\t    </div>\n    </ng-template>\n\n    <ng-template #financialChartTypePickerTemplate let-vm=\"vm\">\n        <button class='financialChartTypePickerDropDownButton' (click)=\"vm.onButtonPressed()\" [attr.data-value]=\"vm.chartTypeString\">\n\t    \t<span class='ui-icon ui-icon-changeable'></span>\n\t    \t<span class='ui-icon-toolbar-dd'></span>\n\t    </button>\n\n\t    <div class='financialChartTypePickerDropDownMenu' [style.display]=\"vm.isOpen ? 'block' : 'none'\"\n            (click)=\"vm.handleDropDownClick($event)\">\n\t    \t<ul>\n\t    \t\t<li class='financialChartListItem' data-value='Auto'>\n\t    \t\t    <span class='ui-icon ui-icon-chartAuto'></span>\n\t    \t\t    <span>Auto</span>\n\t    \t\t</li>\n\t    \t\t<li class='financialChartListItem' data-value='Bar'>\n\t    \t\t\t<span class='ui-icon ui-icon-BarIcon'></span>\n\t    \t\t\t<span>Bar</span>\n\t    \t\t</li>\n\t    \t\t<li class='financialChartListItem' data-value='Line'>\n\t    \t\t\t<span class='ui-icon ui-icon-LineIcon'></span>\n\t    \t\t\t<span>Line</span>\n\t    \t\t</li>\n\t    \t\t<li class='financialChartListItem' data-value='Candle'>\n\t    \t\t\t<span class='ui-icon ui-icon-CandleIcon'></span>\n\t    \t\t\t<span>Candle</span>\n\t    \t\t</li>\n\t    \t\t<li class='financialChartListItem' data-value='Column'>\n\t    \t\t\t<span class='ui-icon ui-icon-ColumnIcon'></span>\n\t    \t\t\t<span>Column</span>\n\t    \t\t</li>\n\t    \t</ul>\n\t    </div>\n    </ng-template>\n\n    <ng-template #financialChartIndicatorMenuTemplate let-vm=\"vm\">\n        <button class='financialChartIndicatorMenuDropDownButton' (click)=\"vm.onButtonPressed()\">\n\t    \t<div class='ui-ChartButtonWrapper'>\n\t    \t\t<span class='ui-icon ui-icon-IndicatorsIcon'></span>\n\t    \t\t<span class='financialChartIndicatorMenuLabel'>Indicators</span>\n\t    \t\t<span class='ui-icon-toolbar-dd'></span>\n\t    \t</div>\n        </button>\n\n\t    <div class='financialChartIndicatorMenuDropDownMenu' [style.display]=\"vm.isOpen ? 'block' : 'none'\" (click)=\"vm.handleDropDownClick($event)\">\n\t    \t<ul class='financialChartIndicatorMenuDropDownMenuList'>\n\t\t\t<li data-value='FinancialOverlayType'>\n\t\t\t\t<span>Overlays</span>\n\t\t\t\t<ul>\n\t\t\t\t\t<li class='financialChartListItem' data-value='BollingerBands'>Bollinger Bands</li>\n\t\t\t\t\t<li class='financialChartListItem' data-value='PriceChannel'>Price Channel</li>\n\t\t\t\t</ul>\n\t\t\t</li>\n\t\t\t<li data-value='TrendLineType'>\n\t\t\t\t<span>Trendlines</span>\n\t\t\t\t<ul>\n\t\t\t\t\t<li class='financialChartListItem' data-value='LinearFit'>Linear Fit</li>\n\t\t\t\t\t<li class='financialChartListItem' data-value='QuadraticFit'>Quadratic Fit</li>\n\t\t\t\t\t<li class='financialChartListItem' data-value='CubicFit'>Cubic Fit</li>\n\t\t\t\t\t<li class='financialChartListItem' data-value='QuarticFit'>Quartic Fit</li>\n\t\t\t\t\t<li class='financialChartListItem' data-value='QuinticFit'>Quintic Fit</li>\n\t\t\t\t\t<li class='financialChartListItem' data-value='LogarithmicFit'>Logarithmic Fit</li>\n\t\t\t\t\t<li class='financialChartListItem' data-value='ExponentialFit'>Exponential Fit</li>\n\t\t\t\t\t<li class='financialChartListItem' data-value='PowerLawFit'>PowerLaw Fit</li>\n\t\t\t\t\t<li class='financialChartListItem' data-value='SimpleAverage'>Simple Average</li>\n\t\t\t\t\t<li class='financialChartListItem' data-value='ExponentialAverage'>Exponential Average</li>\n\t\t\t\t\t<li class='financialChartListItem' data-value='ModifiedAverage'>Modified Average</li>\n\t\t\t\t\t<li class='financialChartListItem' data-value='CumulativeAverage'>Cumulative Average</li>\n\t\t\t\t\t<li class='financialChartListItem' data-value='WeightedAverage'>Weighted Average</li>\n\t\t\t\t</ul>\n\t\t\t</li>\n\t\t\t<li data-value='FinancialChartVolumeType'><span>Volume</span>\n\t\t\t\t<ul>\n\t\t\t\t\t<li class='financialChartListItem' data-value='Column'>Column</li>\n\t\t\t\t\t<li class='financialChartListItem' data-value='Line'>Line</li>\n\t\t\t\t\t<li class='financialChartListItem' data-value='Area'>Area</li>\n\t\t\t\t</ul>\n\t\t\t</li>\n\t\t\t<li data-value='FinancialIndicatorType'><span>Standalone Indicators</span>\n\t\t\t\t<ul>\n\t\t\t\t\t<li class='financialChartListItem' data-value='AbsoluteVolumeOscillator'>Absolute Volume Oscillator</li>\n\t\t\t\t\t<li class='financialChartListItem' data-value='AccumulationDistribution'>Accumulation Distribution</li>\n\t\t\t\t\t<li class='financialChartListItem' data-value='AverageDirectionalIndex'>Average Directional Index</li>\n\t\t\t\t\t<li class='financialChartListItem' data-value='AverageTrueRange'>Average True Range</li>\n\t\t\t\t\t<li class='financialChartListItem' data-value='BollingerBandWidth'>Bollinger Band Width</li>\n\t\t\t\t\t<li class='financialChartListItem' data-value='ChaikinOscillator'>Chaikin Oscillator</li>\n\t\t\t\t\t<li class='financialChartListItem' data-value='ChaikinVolatility'>Chaikin Volatility</li>\n\t\t\t\t\t<li class='financialChartListItem' data-value='CommodityChannelIndex'>Commodity Channel Index</li>\n\t\t\t\t\t<li class='financialChartListItem' data-value='DetrendedPriceOscillator'>Detrended Price Oscillator</li>\n\t\t\t\t\t<li class='financialChartListItem' data-value='EaseOfMovement'>Ease Of Movement</li>\n\t\t\t\t\t<li class='financialChartListItem' data-value='FastStochasticOscillator'>Fast Stochastic Oscillator</li>\n\t\t\t\t\t<li class='financialChartListItem' data-value='ForceIndex'>Force Index</li>\n\t\t\t\t\t<li class='financialChartListItem' data-value='FullStochasticOscillator'>Full Stochastic Oscillator</li>\n\t\t\t\t\t<li class='financialChartListItem' data-value='MarketFacilitationIndex'>Market Facilitation Index</li>\n\t\t\t\t\t<li class='financialChartListItem' data-value='MassIndex'>Mass Index</li>\n\t\t\t\t\t<li class='financialChartListItem' data-value='MedianPrice'>Median Price</li>\n\t\t\t\t\t<li class='financialChartListItem' data-value='MoneyFlowIndex'>Money Flow Index</li>\n\t\t\t\t\t<li class='financialChartListItem' data-value='MovingAverageConvergenceDivergence'>MACD</li>\n\t\t\t\t\t<li class='financialChartListItem' data-value='NegativeVolumeIndex'>Negative Volume Index</li>\n\t\t\t\t\t<li class='financialChartListItem' data-value='OnBalanceVolume'>On Balance Volume</li>\n\t\t\t\t\t<li class='financialChartListItem' data-value='PercentagePriceOscillator'>Percentage Price Oscillator</li>\n\t\t\t\t\t<li class='financialChartListItem' data-value='PercentageVolumeOscillator'>Percentage Volume Oscillator</li>\n\t\t\t\t\t<li class='financialChartListItem' data-value='PositiveVolumeIndex'>Positive Volume Index</li>\n\t\t\t\t\t<li class='financialChartListItem' data-value='PriceVolumeTrend'>Price Volume Trend</li>\n\t\t\t\t\t<li class='financialChartListItem' data-value='RateOfChangeAndMomentum'>ROC</li>\n\t\t\t\t\t<li class='financialChartListItem' data-value='RelativeStrengthIndex'>RSI</li>\n\t\t\t\t\t<li class='financialChartListItem' data-value='SlowStochasticOscillator'>Slow Stochastic Oscillator</li>\n\t\t\t\t\t<li class='financialChartListItem' data-value='StandardDeviation'>Standard Deviation</li>\n\t\t\t\t\t<li class='financialChartListItem' data-value='StochRSI'>Stoch RSI</li>\n\t\t\t\t\t<li class='financialChartListItem' data-value='TRIX'>TRIX</li>\n\t\t\t\t\t<li class='financialChartListItem' data-value='TypicalPrice'>Typical Price</li>\n\t\t\t\t\t<li class='financialChartListItem' data-value='UltimateOscillator'>Ultimate Oscillator</li>\n\t\t\t\t\t<li class='financialChartListItem' data-value='WeightedClose'>Weighted Close</li>\n\t\t\t\t\t<li class='financialChartListItem' data-value='WilliamsPercentR'>Williams %R</li>\n\t\t\t\t</ul>\n\t\t\t</li>\n\t\t</ul>\n\t    </div>\n    </ng-template>\n\n    <ng-template #financialChartToolbarTemplate let-vm=\"vm\">\n        <ng-template #defaultTemplate>\n            <div></div>\n        </ng-template>\n\n        <div class='financialChartToolbar'>\n            <div class='financialChartToolbar'>\n                <div class='financialChartIndicatorMenu' *ngIf='vm.isIndicatorMenuVisible'>\n                    <ng-container *ngTemplateOutlet=\"vm.financialChartIndicatorMenu.template ? vm.financialChartIndicatorMenu.template : defaultTemplate; context: vm.financialChartIndicatorMenu\">\n                    </ng-container>\n                </div>\n                <div class='financialChartRangeSelector'>\n                    <ng-container *ngTemplateOutlet=\"vm.financialChartRangeSelector.template ? vm.financialChartRangeSelector.template : defaultTemplate; context: vm.financialChartRangeSelector\">\n                    </ng-container>\n                </div>\n                <div class='financialChartTypePicker'>\n                    <ng-container *ngTemplateOutlet=\"vm.financialChartTypePicker.template ? vm.financialChartTypePicker.template : defaultTemplate; context: vm.financialChartTypePicker\">\n                    </ng-container>\n                </div>\n            </div>\n        </div>\n    </ng-template>\n  ",
            styles: ["\n.ui-financialchart-container {\n    font-family: \"Segoe UI\",Arial,sans-serif;\n    font-size: 12px;\n    border-width: 0;\n    -webkit-tap-highlight-color: rgba(0,0,0,0);\n}\n\n.ui-financialchart-mainChart {\n\tmargin-left: 15px;\n}\n\n.ui-financialchart-volumeChart {\n\tmargin-left: 15px;\n}\n\n.financialChartMainGrid {\n\theight: 100%;\n\twidth: 100%;\n\tdisplay: grid;\n\tdisplay: -ms-grid;\n\t-ms-grid-columns: 100%;\n}\n\n.financialChartPrice {\n\tgrid-row: 3;\n\t-ms-grid-row: 3;\n\tmargin-top: 10px;\n}\n.financialChartPrice, .financialChartPrice > div {\n\tmin-height: 100px;\n}\n.financialChartIndicators {\n\tgrid-row: 4;\n\t-ms-grid-row: 4;\n}\n.financialChartVolume {\n\tgrid-row: 5;\n\t-ms-grid-row: 5;\n}\n.financialChartZoomSlider {\n\tgrid-row: 6;\n\t-ms-grid-row: 6;\n}\n\n/*\n/////////////////////\n*/\n/* Toolbar styles */\n/*\n/////////////////////\n*/\n\n.financialChartToolbar {\n\tdisplay: grid;\n\tdisplay: -ms-grid;\n\tgrid-row: 1;\n\t-ms-grid-rows: 100%;\n\t-ms-grid-row: 1;\n\t-ms-grid-columns: 100%;\n}\n\n.financialChartToolbar .financialChartToolbar {\n\tdisplay: flex;\n\tdisplay: -ms-flexbox;\n\talign-items: center;\n\tborder: 1px solid #dadada;\n\tmax-height: 45px;\n\tbackground: #eeeeee;\n}\n\n.financialChartToolbar,\n.financialChartToolbar button {\n\tfont:400 13px \"Segoe UI\", Arial, sans-serif!important;\n}\n\n.financialChartRangeSelector {\n\tdisplay: flex;\n\talign-items: center;\n\tjustify-content: center;\n\ttext-transform: uppercase;\n\theight: 100%;\n}\n\n.financialChartRangeSelector input {\n\tdisplay: none;\n}\n\n.financialChartRangeSelectorLabel {\n\tcursor: pointer;\n\theight: 100%;\n}\n.financialChartRangeSelectorLabel:hover .financialChartRangeSelectorLabelSpan {\n\tcolor: #4897AA;\n}\n\n.financialChartRangeSelectorLabel input:checked + span {\n\tcolor: #444444;\n\tbackground-color: #dadada;\n}\n\n.financialChartRangeSelectorLabelSpan {\n\theight: 100%;\n\tdisplay: flex;\n\tjustify-content: center;\n\talign-items: center;\n\tpadding: 10px;\n\tbox-sizing: border-box;\n}\n\n.financialChartRangeSelectorLastOption {\n\tborder: none;\n\tpadding-right: 0;\n}\n\n.financialChartIndicatorMenu,\n.financialChartTypePicker {\n\tposition: relative; \n\tdisplay: flex;\n\talign-items: center;\n\tjustify-content: center;\n}\n\n.financialChartTypePicker {\n\tmargin-left: auto;\n\theight: 100%;\n\tborder-left: 1px solid #dadada;\n}\n\n.financialChartIndicatorMenu {\n\theight: 100%;\n\tpadding:0 10px;\n\tborder-right: 1px solid #dadada;\n}\n\n.financialChartIndicatorMenuDropDownMenu,\n.financialChartTypePickerDropDownMenu {\n\tbackground: #fff;\n\tdisplay: flex;\n\tflex-direction: column;\n\tz-index: 1;\n\tposition: absolute;\n\ttop: calc(100% + 1px);\n\tbox-shadow: 0 19px 38px rgba(0,0,0,0.30), 0 15px 12px rgba(0,0,0,0.22);\n    white-space: nowrap;\n}\n\n.financialChartIndicatorMenuDropDownMenu {\n\tleft:0;\n\tmin-width: 100px;\n\theight: 300px;\n\toverflow: auto;\n}\n\n.financialChartTypePickerDropDownMenu {\n\tright:0;\n}\n\n.financialChartListItem {\n\tcursor: pointer;\n}\n\n.financialChartListItem:hover,\n.financialChartListItem:focus {\n\tcolor: #4897AA;\n}\n\n.financialChartListItem span {\n\tposition: relative;\n\t/* TODO: figure out why we need z-index here */\n\tz-index: -1;\n}\n\n.financialChartTypePickerDropDownMenu .financialChartListItem {\n\tdisplay: flex;\n\talign-items: center;\n\tjustify-content: flex-start;\n}\n.financialChartTypePickerDropDownMenu .ui-icon {\n\tmargin-right: 5px;\n}\n\n.financialChartIndicatorMenuDropDownButton,\n.financialChartTypePickerDropDownButton {\n\tbackground-color:transparent;\n\tborder:none;\n\toutline:none;\n\tcursor:pointer;\n\tdisplay: flex;\n\tjustify-content: center;\n\talign-items: center;\n}\n\n.financialChartIndicatorMenuDropDownMenuList {\n\tfont-weight: bold;\n}\n\n.financialChartIndicatorMenuDropDownMenu li.checked,\n.financialChartTypePickerDropDownMenu li.checked {\n\tcolor: #4897AA;\n}\n\n.financialChartIndicatorMenuDropDownMenu ul,\n.financialChartTypePickerDropDownMenu ul {\n\tlist-style-type: none;\n\tmargin: 0;\n\tpadding: 8px;\n}\n\n.financialChartIndicatorMenuDropDownMenu ul ul,\n.financialChartTypePickerDropDownMenu ul ul {\n\tpadding-left: 15px;\n\tfont-weight: normal;\n}\n\n.financialChartIndicatorMenuDropDownMenu ul li,\n.financialChartTypePickerDropDownMenu ul li {\n\tpadding-top:4px;\n\tposition: relative;\n}\n\n.financialChartIndicatorMenuDropDownMenu li.checked:before{\n\tmargin-left: -15px;\n\tmargin-right: 5px;\n\tcontent: \"\\2713\";\n\tposition: absolute;\n}\n\n.financialChartLegend {\n\tgrid-row: 2;\n\t-ms-grid-row: 2;\n}\n\n.ui-ChartButtonWrapper {\n\tdisplay: flex;\n\talign-items: center;\n\tjustify-content: center;\n}\n\n.financialChartTypePickerDropDownButton .ui-icon-triangle-1-s,\n.ui-ChartButtonWrapper .ui-icon-triangle-1-s {\n\tfont-size: 10px;\n}\n\n.financialChartTypePickerDropDownButton {\n\tbackground-color:transparent;\n\theight: 100%;\n\tpadding: 0 10px;\n}\n\n.financialChartIndicatorMenuLabel {\n\tmargin: 0 5px;\n}\n\n/* Icon styles if no theme is includet */\n.financialChartToolbar .ui-icon {\n\tcolor: #888888;\n\twidth: 16px;\n\theight: 16px;\n\tdisplay: flex;\n\tjustify-content: center;\n\talign-items: center;\n\ttext-indent: -99999px;\n\toverflow: hidden;\n\tposition: relative;\n}\n.financialChartToolbar .ui-icon:before {\n\tdisplay: block;\n\theight: 1em;\n\tleft: 50%;\n\tline-height: 1;\n\tmargin-left: -0.5em;\n\tmargin-top: -0.5em;\n\tposition: absolute;\n\ttext-indent: 0;\n\ttop: 50%;\n\twidth: 1em;\n}\n\n.ui-icon-IndicatorsIcon:before {\n\tcontent: url(\"data:image/svg+xml,%3Csvg%20xmlns%3D%27http%3A%2F%2Fwww.w3.org%2F2000%2Fsvg%27%20viewBox%3D%270%200%2055%2055%27%20fill%3D%27%23777777%27%3E%3Crect%20x%3D%2746.32%27%20y%3D%2716.34%27%20width%3D%275.97%27%20height%3D%2738.47%27%2F%3E%3Cpolygon%20points%3D%2736.73%2054.8%2042.7%2054.8%2042.7%2020.71%2040.34%2020.71%2036.73%2023.92%2036.73%2054.8%27%2F%3E%3Cpolygon%20points%3D%2727.14%2030.07%2027.14%2054.8%2033.11%2054.8%2033.11%2027.15%2028.46%2031.28%2027.14%2030.07%27%2F%3E%3Cpolygon%20points%3D%2730.74%2020.71%2029.62%2020.71%2030.12%2021.22%2030.74%2020.71%27%2F%3E%3Cpolygon%20points%3D%2717.55%2026.49%2017.55%2054.8%2023.52%2054.8%2023.52%2026.76%2020.26%2023.78%2017.55%2026.49%27%2F%3E%3Cpolygon%20points%3D%277.96%2024.97%207.96%2026.49%209.48%2024.97%207.96%2024.97%27%2F%3E%3Cpolygon%20points%3D%277.96%2054.8%2013.93%2054.8%2013.93%2030.11%207.96%2036.08%207.96%2054.8%27%2F%3E%3Cpolygon%20points%3D%2737.29%200.2%2043.23%206.14%2030.12%2016.96%2021.68%208.51%202.5%2027.69%207.29%2032.48%2020.26%2019.52%2028.46%2027.02%2047.33%2010.23%2052.5%2015.4%2052.5%2014.57%2052.5%200.2%2037.29%200.2%27%2F%3E%3C%2Fsvg%3E\");\n}\n\n.financialChartIndicatorMenuDropDownButton:hover .ui-icon-IndicatorsIcon:before,\n.financialChartIndicatorMenuDropDownButton:focus .ui-icon-IndicatorsIcon:before {\n\tcontent: url(\"data:image/svg+xml,%3Csvg%20xmlns%3D%27http%3A%2F%2Fwww.w3.org%2F2000%2Fsvg%27%20viewBox%3D%270%200%2055%2055%27%20fill%3D%27%234897AA%27%3E%3Crect%20x%3D%2746.32%27%20y%3D%2716.34%27%20width%3D%275.97%27%20height%3D%2738.47%27%2F%3E%3Cpolygon%20points%3D%2736.73%2054.8%2042.7%2054.8%2042.7%2020.71%2040.34%2020.71%2036.73%2023.92%2036.73%2054.8%27%2F%3E%3Cpolygon%20points%3D%2727.14%2030.07%2027.14%2054.8%2033.11%2054.8%2033.11%2027.15%2028.46%2031.28%2027.14%2030.07%27%2F%3E%3Cpolygon%20points%3D%2730.74%2020.71%2029.62%2020.71%2030.12%2021.22%2030.74%2020.71%27%2F%3E%3Cpolygon%20points%3D%2717.55%2026.49%2017.55%2054.8%2023.52%2054.8%2023.52%2026.76%2020.26%2023.78%2017.55%2026.49%27%2F%3E%3Cpolygon%20points%3D%277.96%2024.97%207.96%2026.49%209.48%2024.97%207.96%2024.97%27%2F%3E%3Cpolygon%20points%3D%277.96%2054.8%2013.93%2054.8%2013.93%2030.11%207.96%2036.08%207.96%2054.8%27%2F%3E%3Cpolygon%20points%3D%2737.29%200.2%2043.23%206.14%2030.12%2016.96%2021.68%208.51%202.5%2027.69%207.29%2032.48%2020.26%2019.52%2028.46%2027.02%2047.33%2010.23%2052.5%2015.4%2052.5%2014.57%2052.5%200.2%2037.29%200.2%27%2F%3E%3C%2Fsvg%3E\");\n}\n\n.ui-icon-toolbar-dd {\n\tposition: relative;\n\twidth: 16px;\n\theight: 16px;\n\tdisplay: flex;\n\tjustify-content: center;\n\talign-items: center;\n}\n\n\n.ui-icon-toolbar-dd:before {\n\tcontent: '';\n\tposition: absolute;\n\twidth: 0;\n\theight: 0;\n\tborder-style: solid;\n\tborder-width: 5px 4px 0 4px;\n\tborder-color: #666 transparent transparent transparent;\n}\n\n.financialChartIndicatorMenuDropDownButton:hover .ui-icon-toolbar-dd:before,\n.financialChartIndicatorMenuDropDownButton:focus .ui-icon-toolbar-dd:before,\n.financialChartTypePickerDropDownButton:hover .ui-icon-toolbar-dd:before,\n.financialChartTypePickerDropDownButton:focus .ui-icon-toolbar-dd:before {\n\tcontent: '';\n\tborder-color: #4897AA transparent transparent transparent;\n}\n\n.financialChartListItem[data-value='Auto'] {\n\tpadding-bottom: 5px;\n\tborder-bottom: 1px solid #ddd;\n\tmargin-bottom: 3px;\n}\n\n.financialChartTypePickerDropDownButton[data-value=\"Auto\"] .ui-icon-chartAuto:before,\n.financialChartListItem[data-value='Auto'] .ui-icon-changeable:before,\n.financialChartListItem[data-value='Auto'] .ui-icon-chartAuto:before,\n.financialChartTypePickerDropDownButton[data-value=\"Auto\"] .ui-icon-changeable:before {\n\tcontent: url(\"data:image/svg+xml,%3Csvg%20xmlns%3D%27http%3A%2F%2Fwww.w3.org%2F2000%2Fsvg%27%20viewBox%3D%270%200%2016%2016%27%3E%3Cpath%20d%3D%27M%208%203%20L%208%2013%20L%2010%2013%20L%2010%2016%20L%2012%2016%20L%2012%2013%20L%2014%2013%20L%2014%203%20L%2012%203%20L%2012%200%20L%2010%200%20L%2010%203%20L%208%203%20ZM%200%205%20L%200%2012%20L%202%2012%20L%202%2015%20L%204%2015%20L%204%2012%20L%206%2012%20L%206%205%20L%204%205%20L%204%202%20L%202%202%20L%202%205%20L%200%205%20Z%27%20fill%3D%27%23777777%27%20%2F%3E%3C%2Fsvg%3E\");\n}\n\n.financialChartListItem[data-value='Auto']:hover .ui-icon-chartAuto:before,\n.financialChartListItem[data-value='Auto']:focus .ui-icon-chartAuto:before,\n.financialChartTypePickerDropDownButton[data-value='Auto']:hover .ui-icon-changeable:before,\n.financialChartTypePickerDropDownButton[data-value='Auto']:focus .ui-icon-changeable:before {\n\tcontent: url(\"data:image/svg+xml,%3Csvg%20xmlns%3D%27http%3A%2F%2Fwww.w3.org%2F2000%2Fsvg%27%20viewBox%3D%270%200%2016%2016%27%20%3E%3Cpath%20d%3D%27M%208%203%20L%208%2013%20L%2010%2013%20L%2010%2016%20L%2012%2016%20L%2012%2013%20L%2014%2013%20L%2014%203%20L%2012%203%20L%2012%200%20L%2010%200%20L%2010%203%20L%208%203%20ZM%200%205%20L%200%2012%20L%202%2012%20L%202%2015%20L%204%2015%20L%204%2012%20L%206%2012%20L%206%205%20L%204%205%20L%204%202%20L%202%202%20L%202%205%20L%200%205%20Z%27%20fill%3D%27%234897AA%27%20%2F%3E%3C%2Fsvg%3E\");\n}\n\n.financialChartListItem[data-value='Bar'] .ui-icon-BarIcon:before,\n.financialChartTypePickerDropDownButton[data-value=\"Bar\"] .ui-icon-changeable:before {\n\tcontent: url(\"data:image/svg+xml,%3Csvg%20xmlns%3D%27http%3A%2F%2Fwww.w3.org%2F2000%2Fsvg%27%20viewBox%3D%270%200%2016%2016%27%20%3E%3Cpath%20d%3D%27M%203%202%20L%203%204%20L%203%206%20L%203%207%20L%200%207%20L%200%209%20L%203%209%20L%203%2012%20L%205%2012%20L%205%209%20L%205%207%20L%205%206%20L%208%206%20L%208%204%20L%205%204%20L%205%202%20L%203%202%20ZM%2010%200%20L%2010%203%20L%2010%205%20L%2010%2010%20L%207%2010%20L%207%2012%20L%2010%2012%20L%2010%2015%20L%2012%2015%20L%2012%2012%20L%2012%2010%20L%2012%205%20L%2015%205%20L%2015%203%20L%2012%203%20L%2012%200%20L%2010%200%20Z%27%20fill%3D%27%23777777%27%20%2F%3E%3C%2Fsvg%3E\");\n}\n\n.financialChartTypePickerDropDownButton[data-value='Bar']:hover .ui-icon-changeable:before,\n.financialChartTypePickerDropDownButton[data-value='Bar']:focus .ui-icon-changeable:before,\n.financialChartListItem[data-value=\"Bar\"]:hover .ui-icon-BarIcon:before,\n.financialChartListItem[data-value=\"Bar\"]:focus .ui-icon-BarIcon:before {\n\tcontent: url(\"data:image/svg+xml,%3Csvg%20xmlns%3D%27http%3A%2F%2Fwww.w3.org%2F2000%2Fsvg%27%20viewBox%3D%270%200%2016%2016%27%3E%3Cpath%20d%3D%27M%203%202%20L%203%204%20L%203%206%20L%203%207%20L%200%207%20L%200%209%20L%203%209%20L%203%2012%20L%205%2012%20L%205%209%20L%205%207%20L%205%206%20L%208%206%20L%208%204%20L%205%204%20L%205%202%20L%203%202%20ZM%2010%200%20L%2010%203%20L%2010%205%20L%2010%2010%20L%207%2010%20L%207%2012%20L%2010%2012%20L%2010%2015%20L%2012%2015%20L%2012%2012%20L%2012%2010%20L%2012%205%20L%2015%205%20L%2015%203%20L%2012%203%20L%2012%200%20L%2010%200%20Z%27%20fill%3D%27%234897AA%27%20%2F%3E%3C%2Fsvg%3E\");\n}\n\n.financialChartListItem[data-value='Line'] .ui-icon-LineIcon:before,\n.financialChartTypePickerDropDownButton[data-value=\"Line\"] .ui-icon-changeable:before {\n\tcontent: url(\"data:image/svg+xml,%3Csvg%20xmlns%3D%27http%3A%2F%2Fwww.w3.org%2F2000%2Fsvg%27%20viewBox%3D%270%200%2016%2016%27%3E%3Cpath%20d%3D%27M%200%2011.3333%20L%201.6842%2013%20L%206.5%208.8125%20L%209.5313%2011.3438%20L%2016%205.5%20L%2014%203.5%20L%209.5313%208.1875%20L%206.5%205.625%20L%200%2011.3333%20Z%27%20fill%3D%27%23777777%27%20%2F%3E%3C%2Fsvg%3E\");\n}\n\n.financialChartTypePickerDropDownButton[data-value='Line']:hover .ui-icon-changeable:before,\n.financialChartTypePickerDropDownButton[data-value='Line']:focus .ui-icon-changeable:before,\n.financialChartListItem[data-value=\"Line\"]:hover .ui-icon-LineIcon:before,\n.financialChartListItem[data-value=\"Line\"]:focus .ui-icon-LineIcon:before {\n\tcontent: url(\"data:image/svg+xml,%3Csvg%20xmlns%3D%27http%3A%2F%2Fwww.w3.org%2F2000%2Fsvg%27%20viewBox%3D%270%200%2016%2016%27%3E%3Cpath%20d%3D%27M%200%2011.3333%20L%201.6842%2013%20L%206.5%208.8125%20L%209.5313%2011.3438%20L%2016%205.5%20L%2014%203.5%20L%209.5313%208.1875%20L%206.5%205.625%20L%200%2011.3333%20Z%27%20fill%3D%27%234897AA%27%20%2F%3E%3C%2Fsvg%3E\");}\n\n.financialChartListItem[data-value='Candle'] .ui-icon-CandleIcon:before,\n.financialChartTypePickerDropDownButton[data-value=\"Candle\"] .ui-icon-changeable:before {\n\tcontent: url(\"data:image/svg+xml,%3Csvg%20xmlns%3D%27http%3A%2F%2Fwww.w3.org%2F2000%2Fsvg%27%20viewBox%3D%270%200%2016%2016%27%3E%3Cpath%20d%3D%27M%208%203%20L%208%2013%20L%2010%2013%20L%2010%2016%20L%2012%2016%20L%2012%2013%20L%2014%2013%20L%2014%203%20L%2012%203%20L%2012%200%20L%2010%200%20L%2010%203%20L%208%203%20ZM%200%205%20L%200%2012%20L%202%2012%20L%202%2015%20L%204%2015%20L%204%2012%20L%206%2012%20L%206%205%20L%204%205%20L%204%202%20L%202%202%20L%202%205%20L%200%205%20Z%27%20fill%3D%27%23777777%27%20%2F%3E%3C%2Fsvg%3E\");\n}\n\n.financialChartTypePickerDropDownButton[data-value='Candle']:hover .ui-icon-changeable:before,\n.financialChartTypePickerDropDownButton[data-value='Candle']:focus .ui-icon-changeable:before,\n.financialChartListItem[data-value=\"Candle\"]:hover .ui-icon-CandleIcon:before,\n.financialChartListItem[data-value=\"Candle\"]:focus .ui-icon-CandleIcon:before {\n\tcontent: url(\"data:image/svg+xml,%3Csvg%20xmlns%3D%27http%3A%2F%2Fwww.w3.org%2F2000%2Fsvg%27%20viewBox%3D%270%200%2016%2016%27%20%3E%3Cpath%20d%3D%27M%208%203%20L%208%2013%20L%2010%2013%20L%2010%2016%20L%2012%2016%20L%2012%2013%20L%2014%2013%20L%2014%203%20L%2012%203%20L%2012%200%20L%2010%200%20L%2010%203%20L%208%203%20ZM%200%205%20L%200%2012%20L%202%2012%20L%202%2015%20L%204%2015%20L%204%2012%20L%206%2012%20L%206%205%20L%204%205%20L%204%202%20L%202%202%20L%202%205%20L%200%205%20Z%27%20fill%3D%27%234897AA%27%20%2F%3E%3C%2Fsvg%3E\");}\n\n.financialChartListItem[data-value='Column'] .ui-icon-ColumnIcon:before,\n.financialChartTypePickerDropDownButton[data-value=\"Column\"] .ui-icon-changeable:before {\n\tcontent: url(\"data:image/svg+xml,%3Csvg%20xmlns%3D%27http%3A%2F%2Fwww.w3.org%2F2000%2Fsvg%27%20viewBox%3D%270%200%2016%2016%27%3E%3Cpath%20d%3D%27M%200%2016%20L%203%2016%20L%203%2011%20L%200%2011%20L%200%2016%20ZM%2011%2016%20L%2011%202%20L%208%202%20L%208%2016%20L%2011%2016%20ZM%2015%2016%20L%2015%204%20L%2012%204%20L%2012%2016%20L%2015%2016%20ZM%207%2016%20L%207%206%20L%204%206%20L%204%2016%20L%207%2016%20Z%27%20fill%3D%27%23777777%27%20%2F%3E%3C%2Fsvg%3E\");\n}\n\n.financialChartTypePickerDropDownButton[data-value='Column']:hover .ui-icon-changeable:before,\n.financialChartTypePickerDropDownButton[data-value='Column']:focus .ui-icon-changeable:before,\n.financialChartListItem[data-value=\"Column\"]:hover .ui-icon-ColumnIcon:before,\n.financialChartListItem[data-value=\"Column\"]:focus .ui-icon-ColumnIcon:before {\n\tcontent: url(\"data:image/svg+xml,%3Csvg%20xmlns%3D%27http%3A%2F%2Fwww.w3.org%2F2000%2Fsvg%27%20viewBox%3D%270%200%2016%2016%27%3E%3Cpath%20d%3D%27M%200%2016%20L%203%2016%20L%203%2011%20L%200%2011%20L%200%2016%20ZM%2011%2016%20L%2011%202%20L%208%202%20L%208%2016%20L%2011%2016%20ZM%2015%2016%20L%2015%204%20L%2012%204%20L%2012%2016%20L%2015%2016%20ZM%207%2016%20L%207%206%20L%204%206%20L%204%2016%20L%207%2016%20Z%27%20fill%3D%27%234897AA%27%20%2F%3E%3C%2Fsvg%3E\");\n}\n"]
        }),
        tslib_1.__metadata("design:paramtypes", [ChangeDetectorRef])
    ], IgxFinancialChartDefaultTemplatesComponent);
    return IgxFinancialChartDefaultTemplatesComponent;
}());
export { IgxFinancialChartDefaultTemplatesComponent };
//# sourceMappingURL=igx-financial-chart-default-templates.js.map